Debian Bug report logs - #706391
ITP: slimlock -- screen locker based on SLiM and slock

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Samuel Sanchez <sanchez@physik.fu-berlin.de>

Date: Mon, 29 Apr 2013 15:39:02 UTC

Owned by: Samuel Sanchez <sanchez@physik.fu-berlin.de>

Severity: wishlist

Done: Samuel Sanchez <sanchez@physik.fu-berlin.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#706391; Package wnpp. (Mon, 29 Apr 2013 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Sanchez <sanchez@physik.fu-berlin.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 29 Apr 2013 15:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Sanchez <sanchez@physik.fu-berlin.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: slimlock -- screen locker based on SLiM and slock
Date: Mon, 29 Apr 2013 17:35:23 +0200
Package: wnpp
Severity: wishlist
Owner: Samuel Sanchez <sanchez@physik.fu-berlin.de>

* Package name    : slimlock
  Version         : 0.11
  Upstream Author : Danny Doest <dnoest@gmail.com>
* URL             : https://github.com/dannyn/slimlock
* License         : GPL-2
  Programming Lang: C, C++
  Description     : screen locker based on SLiM and slock

Slimlock is a slim locker based on slock and SLiM. In contrast to slock,
which displays a black screen which goes away if the right password is
typed, slimlock displays (if slim is used) a lock screen which matches
the login screen. Furthermore it supports DPMS and blocking virtual
terminal switching.

Slimlock reads your slim config files and uses the same interface.
If you use SliM already, then it should work for you automatically.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Bug#706391; Package wnpp. (Mon, 29 Apr 2013 20:57:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean.ml@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>. (Mon, 29 Apr 2013 20:57:21 GMT) Full text and rfc822 format available.

Message #10 received at 706391@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean.ml@free.fr>
To: Samuel Sanchez <sanchez@physik.fu-berlin.de>, 706391@bugs.debian.org
Subject: Re: Bug#706391: ITP: slimlock -- screen locker based on SLiM and slock
Date: Mon, 29 Apr 2013 22:56:03 +0200
  Hi,

Le 29/04/2013 17:35, Samuel Sanchez a écrit :
>   Description     : screen locker based on SLiM and slock
> 
> Slimlock is a slim locker based on slock and SLiM. In contrast to slock,
> which displays a black screen which goes away if the right password is
> typed, slimlock displays (if slim is used) a lock screen which matches
> the login screen. Furthermore it supports DPMS and blocking virtual
> terminal switching.
> 
> Slimlock reads your slim config files and uses the same interface.
> If you use SliM already, then it should work for you automatically.

  You should add (at least) a word about SliM into your long
description. For now, only reading your text, I only guess that
slimlock can lock your screen, waiting for you to type your
password. SliM is probably a key point of this software but I
do not know anything of it from the description.

  Regards,
    Vincent

-- 
Vincent Danjean       GPG key ID 0x9D025E87         vdanjean@debian.org
GPG key fingerprint: FC95 08A6 854D DB48 4B9A  8A94 0BF7 7867 9D02 5E87
Unofficial pkgs: http://moais.imag.fr/membres/vincent.danjean/deb.html
APT repo:  deb http://people.debian.org/~vdanjean/debian unstable main




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706391; Package wnpp. (Tue, 30 Apr 2013 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 30 Apr 2013 20:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 706391@bugs.debian.org (full text, mbox):

From: Samuel Sanchez <sanchez@physik.fu-berlin.de>
To: Vincent Danjean <vdanjean.ml@free.fr>, 706391@bugs.debian.org
Subject: Re: Bug#706391: ITP: slimlock -- screen locker based on SLiM and slock
Date: Tue, 30 Apr 2013 22:00:47 +0200
Hi,

well slimlock does not much more then locking your screen and is
designed for seamless integration in SLiM.

I added slim as dependency, because slimlock uses the same themes SLiM
uses and looks for them in /usr/share/slim/themes. The look screen looks
then just like the login screen
However, in principle SLiM is not required for slimlock to work as
slimlock only reads the config files to know, which theme to use. This
could also be provided by a dummy config file.

So all in all, this package is aimed to users who use SLiM and desire a
screen locker which is very light and integrates itself smoothly with
SLiM. Thus, I added slim as dependency just to deal with the required
themes and config files in a clean way.

Regards,
  Sam


On 04/29/2013 10:56 PM, Vincent Danjean wrote:
>   Hi,
> 
> Le 29/04/2013 17:35, Samuel Sanchez a écrit :
>>   Description     : screen locker based on SLiM and slock
>>
>> Slimlock is a slim locker based on slock and SLiM. In contrast to slock,
>> which displays a black screen which goes away if the right password is
>> typed, slimlock displays (if slim is used) a lock screen which matches
>> the login screen. Furthermore it supports DPMS and blocking virtual
>> terminal switching.
>>
>> Slimlock reads your slim config files and uses the same interface.
>> If you use SliM already, then it should work for you automatically.
> 
>   You should add (at least) a word about SliM into your long
> description. For now, only reading your text, I only guess that
> slimlock can lock your screen, waiting for you to type your
> password. SliM is probably a key point of this software but I
> do not know anything of it from the description.
> 
>   Regards,
>     Vincent
> 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Bug#706391; Package wnpp. (Tue, 30 Apr 2013 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean.ml@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>. (Tue, 30 Apr 2013 22:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 706391@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean.ml@free.fr>
To: Samuel Sanchez <sanchez@physik.fu-berlin.de>
Cc: 706391@bugs.debian.org
Subject: Re: Bug#706391: ITP: slimlock -- screen locker based on SLiM and slock
Date: Wed, 01 May 2013 00:13:00 +0200
  Hi,

  I've not been clear enough. My only point is that your description
(and even your text below) talks about "SLiM" without saying what it
is at all (a framework ? an application ? something related to
security ? a desktop environment ? ...)

  I just did a "apt-cache search slim" and "apt-cache show slim"
to discover that "slim" is "a desktop-independent graphical login
manager for X11". In my opinion, you should just add this information
into your initial description.
  Perhaps, it can begin with something like:

Slimlock is a X display locker based on slock (a simple X display locker)
and SLiM (a desktop-independent graphical login manager for X11).
In contrast to...


  Regards,
    Vincent

Le 30/04/2013 22:00, Samuel Sanchez a écrit :
> Hi,
> 
> well slimlock does not much more then locking your screen and is
> designed for seamless integration in SLiM.
> 
> I added slim as dependency, because slimlock uses the same themes SLiM
> uses and looks for them in /usr/share/slim/themes. The look screen looks
> then just like the login screen
> However, in principle SLiM is not required for slimlock to work as
> slimlock only reads the config files to know, which theme to use. This
> could also be provided by a dummy config file.
> 
> So all in all, this package is aimed to users who use SLiM and desire a
> screen locker which is very light and integrates itself smoothly with
> SLiM. Thus, I added slim as dependency just to deal with the required
> themes and config files in a clean way.
> 
> Regards,
>   Sam
> 
> 
> On 04/29/2013 10:56 PM, Vincent Danjean wrote:
>>   Hi,
>>
>> Le 29/04/2013 17:35, Samuel Sanchez a écrit :
>>>   Description     : screen locker based on SLiM and slock
>>>
>>> Slimlock is a slim locker based on slock and SLiM. In contrast to slock,
>>> which displays a black screen which goes away if the right password is
>>> typed, slimlock displays (if slim is used) a lock screen which matches
>>> the login screen. Furthermore it supports DPMS and blocking virtual
>>> terminal switching.
>>>
>>> Slimlock reads your slim config files and uses the same interface.
>>> If you use SliM already, then it should work for you automatically.
>>
>>   You should add (at least) a word about SliM into your long
>> description. For now, only reading your text, I only guess that
>> slimlock can lock your screen, waiting for you to type your
>> password. SliM is probably a key point of this software but I
>> do not know anything of it from the description.
>>
>>   Regards,
>>     Vincent
>>


-- 
Vincent Danjean          Adresse: Laboratoire LIG - Bât. INRIA Rhône-Alpes
Téléphone:  +33 4 76 61 55 10            655 avenue de l'Europe
Fax:        +33 4 76 61 52 52            Montbonnot Saint Martin
Email: Vincent.Danjean@imag.fr           38334 Saint-Ismier cedex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706391; Package wnpp. (Wed, 01 May 2013 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 May 2013 06:54:04 GMT) Full text and rfc822 format available.

Message #25 received at 706391@bugs.debian.org (full text, mbox):

From: Samuel Sanchez <sanchez@physik.fu-berlin.de>
To: Vincent Danjean <vdanjean.ml@free.fr>, 706391@bugs.debian.org
Subject: Re: Bug#706391: ITP: slimlock -- screen locker based on SLiM and slock
Date: Wed, 01 May 2013 08:52:20 +0200
Hi,

now I see your point and adjusted the description according to your
suggestions:

Description: X display locker based on SLiM and slock
 Slimlock is a X display locker based on slock (a simple X display
 locker) and SLiM (a desktop-independent graphical login manager for
 X11).
 This package is aimed for users who use SLiM and require a lightweight
 screen locker with smooth integration into SLIM.
 .
 In contrast to slock, which displays a black screen which goes away if
 the correct password is typed, slimlock displays a lock screen  which
 matches the login screen (if SLiM is used). Furthermore it supports
 DPMS and blocking virtual terminal switching.
 Slimlock reads your SLiM config files and uses the same interface. If
 you use SLiM already, then it should work for you automatically.

Regards,
  Sam

On 05/01/2013 12:13 AM, Vincent Danjean wrote:
>   Hi,
> 
>   I've not been clear enough. My only point is that your description
> (and even your text below) talks about "SLiM" without saying what it
> is at all (a framework ? an application ? something related to
> security ? a desktop environment ? ...)
> 
>   I just did a "apt-cache search slim" and "apt-cache show slim"
> to discover that "slim" is "a desktop-independent graphical login
> manager for X11". In my opinion, you should just add this information
> into your initial description.
>   Perhaps, it can begin with something like:
> 
> Slimlock is a X display locker based on slock (a simple X display locker)
> and SLiM (a desktop-independent graphical login manager for X11).
> In contrast to...
> 
> 
>   Regards,
>     Vincent
> 
> Le 30/04/2013 22:00, Samuel Sanchez a écrit :
>> Hi,
>>
>> well slimlock does not much more then locking your screen and is
>> designed for seamless integration in SLiM.
>>
>> I added slim as dependency, because slimlock uses the same themes SLiM
>> uses and looks for them in /usr/share/slim/themes. The look screen looks
>> then just like the login screen
>> However, in principle SLiM is not required for slimlock to work as
>> slimlock only reads the config files to know, which theme to use. This
>> could also be provided by a dummy config file.
>>
>> So all in all, this package is aimed to users who use SLiM and desire a
>> screen locker which is very light and integrates itself smoothly with
>> SLiM. Thus, I added slim as dependency just to deal with the required
>> themes and config files in a clean way.
>>
>> Regards,
>>   Sam
>>
>>
>> On 04/29/2013 10:56 PM, Vincent Danjean wrote:
>>>   Hi,
>>>
>>> Le 29/04/2013 17:35, Samuel Sanchez a écrit :
>>>>   Description     : screen locker based on SLiM and slock
>>>>
>>>> Slimlock is a slim locker based on slock and SLiM. In contrast to slock,
>>>> which displays a black screen which goes away if the right password is
>>>> typed, slimlock displays (if slim is used) a lock screen which matches
>>>> the login screen. Furthermore it supports DPMS and blocking virtual
>>>> terminal switching.
>>>>
>>>> Slimlock reads your slim config files and uses the same interface.
>>>> If you use SliM already, then it should work for you automatically.
>>>
>>>   You should add (at least) a word about SliM into your long
>>> description. For now, only reading your text, I only guess that
>>> slimlock can lock your screen, waiting for you to type your
>>> password. SliM is probably a key point of this software but I
>>> do not know anything of it from the description.
>>>
>>>   Regards,
>>>     Vincent
>>>
> 
> 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Bug#706391; Package wnpp. (Fri, 03 May 2013 20:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>. (Fri, 03 May 2013 20:12:09 GMT) Full text and rfc822 format available.

Message #30 received at 706391@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Samuel Sanchez <sanchez@physik.fu-berlin.de>, 706391@bugs.debian.org
Cc: danny@antistuff.net
Subject: Re: Bug#706391: ITP: slimlock -- screen locker based on SLiM and slock
Date: Sat, 4 May 2013 05:03:20 +0900
Hi,

The code of slimlock is merged into slim[0] , and development is working.
github is a temporary repository of danny.

Best regards,
  Nobuhiro

[0]: http://slim.berlios.de/

2013/4/30 Samuel Sanchez <sanchez@physik.fu-berlin.de>:
> Package: wnpp
> Severity: wishlist
> Owner: Samuel Sanchez <sanchez@physik.fu-berlin.de>
>
> * Package name    : slimlock
>   Version         : 0.11
>   Upstream Author : Danny Doest <dnoest@gmail.com>
> * URL             : https://github.com/dannyn/slimlock
> * License         : GPL-2
>   Programming Lang: C, C++
>   Description     : screen locker based on SLiM and slock
>
> Slimlock is a slim locker based on slock and SLiM. In contrast to slock,
> which displays a black screen which goes away if the right password is
> typed, slimlock displays (if slim is used) a lock screen which matches
> the login screen. Furthermore it supports DPMS and blocking virtual
> terminal switching.
>
> Slimlock reads your slim config files and uses the same interface.
> If you use SliM already, then it should work for you automatically.
>
>
> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20130429153523.6363.57170.reportbug@znote-t60n.physik.fu-berlin.de
>



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706391; Package wnpp. (Mon, 06 May 2013 17:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 May 2013 17:48:10 GMT) Full text and rfc822 format available.

Message #35 received at 706391@bugs.debian.org (full text, mbox):

From: Samuel Sanchez <sanchez@physik.fu-berlin.de>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: 706391@bugs.debian.org, danny@antistuff.net
Subject: Re: Bug#706391: ITP: slimlock -- screen locker based on SLiM and slock
Date: Mon, 06 May 2013 19:44:29 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Nobuhiro,

do you now, how long it is going to take to include slimlock in the
upstream version of slim?
The question, weather to package slimlock independently depends
strongly on this.

Best regards,
	Sam

On 05/03/2013 10:03 PM, Nobuhiro Iwamatsu wrote:
> Hi,
> 
> The code of slimlock is merged into slim[0] , and development is
> working. github is a temporary repository of danny.
> 
> Best regards, Nobuhiro
> 
> [0]: http://slim.berlios.de/
> 
> 2013/4/30 Samuel Sanchez <sanchez@physik.fu-berlin.de>:
>> Package: wnpp Severity: wishlist Owner: Samuel Sanchez
>> <sanchez@physik.fu-berlin.de>
>> 
>> * Package name    : slimlock Version         : 0.11 Upstream
>> Author : Danny Doest <dnoest@gmail.com> * URL             :
>> https://github.com/dannyn/slimlock * License         : GPL-2 
>> Programming Lang: C, C++ Description     : screen locker based on
>> SLiM and slock
>> 
>> Slimlock is a slim locker based on slock and SLiM. In contrast to
>> slock, which displays a black screen which goes away if the right
>> password is typed, slimlock displays (if slim is used) a lock
>> screen which matches the login screen. Furthermore it supports
>> DPMS and blocking virtual terminal switching.
>> 
>> Slimlock reads your slim config files and uses the same
>> interface. If you use SliM already, then it should work for you
>> automatically.
>> 
>> 
>> -- To UNSUBSCRIBE, email to
>> debian-devel-REQUEST@lists.debian.org with a subject of
>> "unsubscribe". Trouble? Contact listmaster@lists.debian.org 
>> Archive:
>> http://lists.debian.org/20130429153523.6363.57170.reportbug@znote-t60n.physik.fu-berlin.de
>>
>
>> 
> 
> 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Icedove - http://www.enigmail.net/

iQEcBAEBAgAGBQJRh+v9AAoJEOQdkPW/4HPy/b4H/RBQ+d2WgY1B+Pkno+w9qURT
ZgBgYyaG7szssxoGR7sku9tFx/Idki0BAjOBIXJWYTINrRCXqj5c5yJWaRtpUEfk
PNuKiSsfriCUeoDMRj7YHxFSBbJnSJOFRPkj7hMBc0doIh7V44nWk+FQmMYltaz3
DypU+qmPCY8rci126OIc2w0vZv6dz+4mgFbA1G5DZrhOwWBhkjfwOonD6MNBfizW
+AjD+PoPjcDHsBraABahYRsaaozDVQYeHkUmgTRzWZu/MSt87lyiPhQhCus5qDY+
ZGZEMdoyHDaD2YLTZUtaYj9f8Dd/+UolUOL+DwZqT+kT3Fe3L3o6I3LYGJsFtKA=
=U+Db
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Bug#706391; Package wnpp. (Wed, 04 Sep 2013 01:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Roman V. Nikolaev" <rshadow@rambler.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Sanchez <sanchez@physik.fu-berlin.de>. (Wed, 04 Sep 2013 01:24:05 GMT) Full text and rfc822 format available.

Message #40 received at 706391@bugs.debian.org (full text, mbox):

From: "Roman V. Nikolaev" <rshadow@rambler.ru>
To: 706391@bugs.debian.org
Subject: Please add slimlock
Date: Wed, 04 Sep 2013 05:19:59 +0400
[Message part 1 (text/plain, inline)]
Please add slimlock. I went to the upstream and found no integration work.

Roman V. Nikolaev

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#706391; Package wnpp. (Thu, 03 Oct 2013 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Oct 2013 11:42:04 GMT) Full text and rfc822 format available.

Message #45 received at 706391@bugs.debian.org (full text, mbox):

From: Samuel Sanchez <sanchez@physik.fu-berlin.de>
To: 706391@bugs.debian.org, control@bugs.debian.org
Subject: Slimlock included in newest release of slim
Date: Thu, 03 Oct 2013 13:39:55 +0200
[Message part 1 (text/plain, inline)]
close 706391
thanks

slimlock is included in the just released slim version 1.3.6
Once slim in Debian is updated from 1.3.4 to 1.3.6, slimlock is not
needed any more as separate package

Cheers,
Sam

[signature.asc (application/pgp-signature, attachment)]

Marked Bug as done Request was from Samuel Sanchez <sanchez@physik.fu-berlin.de> to control@bugs.debian.org. (Thu, 03 Oct 2013 11:42:10 GMT) Full text and rfc822 format available.

Notification sent to Samuel Sanchez <sanchez@physik.fu-berlin.de>:
Bug acknowledged by developer. (Thu, 03 Oct 2013 11:42:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Nov 2013 07:33:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:13:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.